Bug 486690 - "Panel Spacer" is not packaged in Fedora
"Panel Spacer" is not packaged in Fedora
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdeplasma-addons (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 20:49 EST by J Chapin
Modified: 2009-03-17 09:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-17 09:44:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 170588 None None None Never
KDE Software Compilation 184937 None None None Never

  None (edit)
Description J Chapin 2009-02-20 20:49:29 EST
Description of problem:
Regarding KDE4 bug# 184937 there should be a "Panel Spacer" widget as a workaround for the fact that widgets cannot be moved correctly.
Comment 1 J Chapin 2009-02-20 21:36:53 EST
That is supposed to be a reference to the KDE bug number, not the fedora one.
Comment 2 Rex Dieter 2009-02-20 21:48:52 EST
Umm... I think upstream is wrong here... I see nothing resembling that in the kdeplasma-addons-4.2.0 tarball.

There does exist a "panel spacer", but it's not in kdeplasma-addons from what I can tell.
Comment 3 Rex Dieter 2009-02-20 21:50:05 EST
For example,
http://www.kde-look.org/content/show.php/Panel+Spacer?content=89304
Comment 4 Kevin Kofler 2009-02-21 00:03:20 EST
Indeed, we can only ship what's there. Somebody needs to package the third-party plasmoid for review if they care enough. I'm not convinced that ugly hack is a good idea to package in the first place, as it's reported to cause more problems than it solves, but I sure won't stop people who want it from packaging it. Waiting for the review request...
Comment 5 J Chapin 2009-03-17 04:21:10 EDT
How is missing a *major* feature 'NOTABUG'? This is a major regression.
Comment 6 Kevin Kofler 2009-03-17 04:54:27 EDT
The panel spacer is a third-party plasmoid, it will only be packaged in Fedora if somebody who wants this package (why not you?) volunteers to package it and submit it for review. So far this has not happened. If somebody submits the package for review, we could change this bug to be a duplicate of the review request instead if you hate NOTABUG that much. But then where's that review request? ;-)

And in any case this is:
1. definitely not a bug (but a feature request) and
2. definitely not an issue with kdeplasma-addons nor any other package in Fedora: it's a separate piece of software, it needs to be packaged separately.
Comment 7 J Chapin 2009-03-17 05:12:34 EDT
1. It is a feature that was broken or removed inadvertanlty due to code updates. That makes it a regression bug.

2. It is most definitely an issue with KDE/fedora. I honestly don't care which. 

I reported a bug relating to being unable to resize widgets and was told by fedora that it was an upstream problem. Upstream said they had a work around with this silly plasma widget, and fedora needs to package it -- all the time *IGNORING* the fact that if the bug was not introduced in the first place, there would be no need for a work around in the first place.

Why should I waste my time packaging a workaround for a bug, when the bug should simply be fixed in the first place -- or better yet, fedora should not have forced the use of a buggy, unusable kde4?

Sure, I could package the work around -- but why?
Comment 8 Steven M. Parrish 2009-03-17 08:59:20 EDT
Why, because it provides functionality you want.  If you have no interest in packaging it then find someone who does.
Comment 9 J Chapin 2009-03-17 09:32:15 EDT
So every bug is now simply going to be labeled a 'NOTABUG', and the reporter told to package a hacky workaround, if one exists?

I don't see why *anyone* would want to bother packaging it, honestly, nor do I see why anyone *should*. This is something that was a basic functionality of the panel and it is now broken due to new code. I am not requesting something new, I am pointing out that an existing feature has gone missing!
Comment 10 Steven M. Parrish 2009-03-17 09:42:52 EDT
Its not a bug because the upstream developers have at this time chosen not to bring that functionality from the KDE 3.x family into the 4.x family.  That is their choice so as a user of open source software you can either petition them to change their mind or code it yourself.  But it is not a bug.
Comment 11 Kevin Kofler 2009-03-17 09:44:02 EDT
It being a "hacky workaround" is exactly why nobody appears to be interested in packaging or, other than you, using it.

Plasma is designed to lay out the panel in a horizontal automatic layout, not with pixel positioning. Empty space is simply not consistent with that design principle. I don't see how this intentional design decision is a bug.

The only way you'll get empty space is to have a spacer applet, and such an applet needs to be packaged. No volunteer packager = no package. Also note that the third-party spacer applet is reported to cause rendering issues and even crashes.

That said, there's an upstream enhancement request which is still open to add such a feature directly to KDE: https://bugs.kde.org/show_bug.cgi?id=170588 . (Your upstream bug got closed as a duplicate of that one.)

Note You need to log in before you can comment on or make changes to this bug.